RubyGems Navigation menu

rubocop-airbnb 6.0.0

A plugin for RuboCop code style enforcing & linting tool. It includes Rubocop configuration used at Airbnb and a few custom rules that have cause internal issues at Airbnb but are not supported by core Rubocop.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 6.0.0 - February 28, 2023 (41 KB)
  2. 5.0.0 - February 13, 2023 (41 KB)
  3. 4.0.0 - September 21, 2021 (40.5 KB)
  4. 3.0.2 - November 15, 2019 (40 KB)
  5. 3.0.1 - November 14, 2019 (40 KB)
Show all versions (11 total)

Runtime Dependencies (4):

rubocop ~> 1.32.0
rubocop-rails ~> 2.9.1
rubocop-rspec ~> 2.0.0

Development Dependencies (1):

rspec ~> 3.5

Owners:

Pushed by:

Authors:

  • Airbnb Engineering

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 1,380,423

For this version 122,543

License:

MIT

Required Ruby Version: >= 2.5

Links: